// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
#ifndef _main_h_
#define _main_h_

#include "frameWork.h"

#include "sudoku.h"

// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
#define STATUSBAR     100
#define REBAR         200
#define TOOLBAR       300
#define TIMER         100
#define TIMERRES      250
#define DBLCLKCHK     200
#define DEEMPHASIZE   1
#define EMPHASIZE     2
#define MAXGAME       9999999
#define ID_DIFFICULTY 32000
#define SDMARGIN      4       // size of margins between sub-grids

// ----------------------------------------------------------------------------
bool CanGame();
void DrwGame(bool start, HDC hWC=NULL);
void NewGame(bool draw);
void RndGame(bool draw);
void StaGame(bool start);
void VerGame(bool draw, bool start);

BOOL InitProc(HWND hDlg, int dx, int dy);

// ----------------------------------------------------------------------------
extern BYTE     gamePoss[SDSIZESQ][SDSIZESQ][SDSIZESQ];

extern HWND     gameWnd;
extern HWND     gameDlg;
extern HWND     gameSBar;
extern HWND     gameRBar;
extern HWND     gameTBar;
extern LOGFONT  gameLogF1;
extern LOGFONT  gameLogF2;
extern WCHAR    gameMapF1[9];
extern WCHAR    gameMapF2[9];
extern COLORREF gameClrF1;
extern COLORREF gameClrF2;
extern HFONT    gameFont1;
extern HFONT    gameFont2;
extern HBITMAP  gameEmpty;
extern HBITMAP  gameFixed;
extern HBITMAP  gameHlite;
extern HBITMAP  gameSolve;
extern HBITMAP  gameCheck;
extern HBITMAP  gameError;
extern HBITMAP  drawEmpty;
extern HBITMAP  drawFixed;
extern HBITMAP  drawHlite;
extern HBITMAP  drawSolve;
extern HBITMAP  drawCheck;
extern HBITMAP  drawError;
extern bool     gameExe;
extern bool     gameChk;
extern bool     gameSho;
extern bool     gameTim;
extern BYTE     gamePos;
extern int      colM;
extern int      rowM;
extern int      subM;
extern int      colW;
extern int      rowH;
extern int      colH;
extern int      rowW;

#endif
