// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
#ifndef _system_h_
#define _system_h_

#include "main.h"
#include <stdio.h>
#include <commctrl.h>

// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
enum tOSVersion
{
	osNotInitd = -1,
	osUnknown  =  0,
	osWinCE,
	osWinNT,
	osWin95,
	osWin98,
	osWinME,
	osWin2K,
	osWinXP,
	osWinS2K3,
	osWinFuture
};

// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
void       Sys_AppendIcon(HIMAGELIST hIL, LPCTSTR file, UINT resID, int size, COLORREF bkgnd);
SIZE       Sys_BitmapSize(HBITMAP hBitmap);
float      Sys_ComCtlVersion();
LRESULT    Sys_HandleMouseWheel(HWND hWnd, WPARAM wParam, LPARAM lParam, bool checkMP, bool single);
bool       Sys_KeyIsDown(int key);
tOSVersion Sys_OSVersion();
void       Sys_ResetMemUsage();
void       Sys_SendKeys(HWND hWnd, LPCTSTR string);

#endif
